#include <iostream>
#include <memory>
#include <string>

#include <IterativeRobot.h>
#include <SmartDashboard/SmartDashboard.h>
#include <teleopDrive/ArcadeDrive.h>
#include <teleopDrive/IDrive.h>
#include <teleopDrive/TankDrive.h>


using namespace Team302;

class Robot: public frc::IterativeRobot
{
	public:
		void RobotInit()
		{
			m_drive = new ArcadeDrive();
		}

		void AutonomousInit() override
		{
		}

		void AutonomousPeriodic()
		{
		}

		void TeleopInit()
		{

		}

		void TeleopPeriodic()
		{
			m_drive->DriveWithJoysticks();
		}

		void TestPeriodic()
		{
		}

	private:
		IDrive* 			m_drive;
};

START_ROBOT_CLASS(Robot)
