/*
 * AnalogInputDefn.cpp
 *
 *  Created on: Aug 18, 2017
 *      Author: witcpale
 */

#include <definitions/AnalogInputDefn.h>

namespace Team302
{

	AnalogInputDefn::AnalogInputDefn
	(
		int				channel, 				// <I> - input this is plugged into
		float 			voltageConversionFactor	// <I> - indicates how to convert from the 0-5 volts to meaningful units
	) : m_channel ( channel ),
		m_voltageConversionFactor( voltageConversionFactor )
	{
	}

} /* namespace Team302 */

