/*
 * UltrasonicRangeFinderDefn.cpp
 *
 *  Created on: Aug 18, 2017
 *      Author: witcpale
 */

#include <definitions/UltrasonicRangeFinderDefn.h>

namespace Team302
{

	UltrasonicRangeFinderDefn::UltrasonicRangeFinderDefn
	(
		int				pingChannel,		// <I> - digital input or pinging channel
		int				echoChannel,		// <I> - digital output or echo channel
		bool 			isAutomatic,		// <I> - true will causes ultrasonic range finders to fire in sequece to avoid interference
		DistanceUnit	units				// <I> - units for distance	) : m_identifier ( identifier ),
	) : m_pingChannel( pingChannel ),
		m_echoChannel( echoChannel ),
		m_automatic( isAutomatic ),
		m_unit( units )
	{
	}

} /* namespace Team302 */
