/*
 * ManipulatorFactory.h
 */

#ifndef SRC_SUBSYS_FACTORIES_MANIPULATORFACTORY_H_
#define SRC_SUBSYS_FACTORIES_MANIPULATORFACTORY_H_

#include <subsys/ProtoSubsys.h>

class ManipulatorFactory
{
	public:
		enum MANIPULATOR_TYPE
		{
			UNKNOWN_MANIPULATOR = -1,
			PROTOTYPE_MANIPULATOR,
			CLIMBER_MANIPULATOR,
			GEAR_MANIPULATOR,
			FUEL_MANIPULATOR,
			MAX_MANIPULATOR_TYPES
		};
		static ProtoSubsys* GetPrototype();

	private:
		static ProtoSubsys*		m_proto;

};

#endif /* SRC_SUBSYS_FACTORIES_MANIPULATORFACTORY_H_ */
