/*
 * AnalogInputDefn.h
 *
 *  Created on: Aug 18, 2017
 *      Author: witcpale
 */

#ifndef SRC_DEFINITIONS_ANALOGINPUTDEFN_H_
#define SRC_DEFINITIONS_ANALOGINPUTDEFN_H_

namespace Team302
{

	class AnalogInputDefn
	{
		public:
		AnalogInputDefn() = delete;
		AnalogInputDefn
			(
				int				channel, 				// <I> - input this is plugged into
				float 			voltageConversionFactor	// <I> - indicates how to convert from the 0-5 volts to meaningful units
			);
			virtual ~AnalogInputDefn() = default;

			inline int GetChannel() { return m_channel; }
			inline float GetVoltageConversionFactor() { return m_voltageConversionFactor; }

		private:
			int				m_channel;
			float 			m_voltageConversionFactor;
	};

} /* namespace Team302 */

#endif /* SRC_DEFINITIONS_ANALOGINPUTDEFN_H_ */
