/*
 * DigitalInputDefn.h
 *
 *  Created on: Aug 18, 2017
 *      Author: witcpale
 */

#ifndef SRC_DEFINITIONS_DIGITALINPUTDEFN_H_
#define SRC_DEFINITIONS_DIGITALINPUTDEFN_H_

namespace Team302
{

	class DigitalInputDefn
	{
		public:
			DigitalInputDefn() = delete;
			DigitalInputDefn
			(
				int				channel, 			// <I> - input this is plugged into
				bool 			isReversed			// <I> - True indicates the false readings should be reported as true and true readings should be reported as false
			);
			virtual ~DigitalInputDefn() = default;

			inline int GetChannel() { return m_channel; }
			inline bool IsReversed() { return m_reversed; }

		private:
			int				m_channel;
			bool 			m_reversed;
	};

} /* namespace Team302 */

#endif /* SRC_DEFINITIONS_DIGITALINPUTDEFN_H_ */
